> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update client's details



## OpenAPI

````yaml /api-reference/services_documented/iam_reseller_api.yaml patch /iam/clients/{clientId}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – IAM Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: IAM Reseller Account
    description: >-
      Account management operations including authentication, password
      management, and account details.
    x-displayName: Account
  - name: IAM Reseller Clients
    description: >-
      Clients management API.


      Note: For client's creation use [create a new
      user](#tag/Users/paths/~1users/post) method from Users management API.
    x-displayName: Clients
  - name: IAM Reseller Users
    description: Client's users management API.
    x-displayName: Users
  - name: Sellers
    description: Seller management API.
    x-displayName: Sellers
  - name: Products' availability
    description: >-
      As a reseller you can get access to multiple products that available for
      you. Such as CDN.


      With this API you can manage which products are available for you clients
      by default or manage personal

      products' availability for each client separately.
    x-displayName: Products' availability
  - name: Services
    description: Client services management API for managing service statuses and options.
    x-displayName: Services
  - name: IAM Reseller Features
    description: You can manage both free and paid features available for you.
    x-displayName: Features
  - name: Branding
    description: >-
      Branding settings management API for customizing reseller branding
      including logos, colors, and domain settings.
    x-displayName: Branding
  - name: Notification Settings
    description: Notification settings which not connected with branding
    x-displayName: Notification Settings
  - name: Other
    x-displayName: Other
paths:
  /iam/clients/{clientId}:
    patch:
      tags:
        - IAM Reseller Clients
      summary: Update client's details
      parameters:
        - $ref: '#/components/parameters/ClientID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateClientRequest'
      responses:
        '200':
          description: OK.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Client'
        '400':
          $ref: '#/components/responses/iam_reseller_400'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/iam_reseller_404'
components:
  parameters:
    ClientID:
      name: clientId
      in: path
      required: true
      description: Account ID.
      schema:
        type: integer
  schemas:
    UpdateClientRequest:
      type: object
      properties:
        email:
          $ref: '#/components/schemas/ClientEmail'
        companyName:
          $ref: '#/components/schemas/ClientCompanyName'
        custom_id:
          $ref: '#/components/schemas/ClientCustomID'
        name:
          $ref: '#/components/schemas/ClientName'
        phone:
          $ref: '#/components/schemas/ClientPhone'
        reseller:
          $ref: '#/components/schemas/ClientReseller'
        seller:
          $ref: '#/components/schemas/ClientSeller'
        is_test:
          $ref: '#/components/schemas/ClientIsTest'
    Client:
      allOf:
        - $ref: '#/components/schemas/iam_reseller_ClientBase'
        - type: object
          properties:
            seller:
              $ref: '#/components/schemas/ClientSeller'
            resellers:
              $ref: '#/components/schemas/ClientReseller'
            client_type:
              $ref: '#/components/schemas/ClientType'
            owner:
              $ref: '#/components/schemas/ClientOwner'
    ClientEmail:
      type: string
      format: email
      description: The account email.
    ClientCompanyName:
      type: string
      description: The company name.
    ClientCustomID:
      type: string
      nullable: true
      description: The account custom ID.
    ClientName:
      type: string
      description: Name of a user who registered the requested account.
      nullable: true
    ClientPhone:
      type: string
      description: Phone of a user who registered the requested account.
      nullable: true
    ClientReseller:
      type: integer
      description: ID of the Reseller.
    ClientSeller:
      type: integer
      nullable: true
      description: ID of the Seller.
    ClientIsTest:
      type: boolean
      description: |-
        System field:
        - `true` — a test account;
        - `false` — a production account.
    iam_reseller_ClientBase:
      type: object
      required:
        - id
        - email
        - name
        - status
        - companyName
        - deleted
        - is_test
        - has_active_admin
        - currentUser
        - capabilities
        - serviceStatuses
        - paidFeatures
        - freeFeatures
        - entryBaseDomain
        - bill_type
      properties:
        id:
          type: integer
          description: The account ID.
        users:
          type: array
          description: List of account users.
          items:
            $ref: '#/components/schemas/iam_reseller_BaseUser'
        email:
          $ref: '#/components/schemas/ClientEmail'
        phone:
          $ref: '#/components/schemas/ClientPhone'
        name:
          $ref: '#/components/schemas/ClientName'
        status:
          $ref: '#/components/schemas/ClientStatus'
        companyName:
          $ref: '#/components/schemas/ClientCompanyName'
        website:
          $ref: '#/components/schemas/ClientWebsite'
        currentUser:
          $ref: '#/components/schemas/CurrentUser'
        capabilities:
          $ref: '#/components/schemas/ClientCapabilities'
        serviceStatuses:
          $ref: '#/components/schemas/ServiceEnabledStatusObject'
        paidFeatures:
          $ref: '#/components/schemas/PaidFeatureList'
        freeFeatures:
          $ref: '#/components/schemas/FreeFeatureList'
        entryBaseDomain:
          $ref: '#/components/schemas/ClientEntryBaseDomain'
        signup_process:
          $ref: '#/components/schemas/SignupProcess'
        deleted:
          $ref: '#/components/schemas/Deleted-2'
        bill_type:
          $ref: '#/components/schemas/ClientBillType'
        custom_id:
          $ref: '#/components/schemas/ClientCustomID'
        country_code:
          $ref: '#/components/schemas/ClientCountryCode'
        is_test:
          $ref: '#/components/schemas/ClientIsTest'
        has_active_admin:
          $ref: '#/components/schemas/ClientHasActiveUser'
    ClientType:
      type: string
      description: Client's type.
      enum:
        - common
        - reseller
        - sales
    ClientOwner:
      type: number
      description: Id of the user, who created client.
    iam_reseller_ValidationError:
      title: Validation error
      type: object
      properties:
        errors:
          type: object
          description: This object contains error descriptions per field from your request.
          additionalProperties:
            type: array
            description: Error list for specific field.
            items:
              type: string
              description: Error description
    JSONParseError:
      title: Invalid request JSON schema
      type: object
      properties:
        message:
          type: string
          description: >-
            This message describes error if json schema from your request is
            invalid.
          example: >
            JSON parse error - Expecting ',' delimiter: line 3 column 33 (char
            77)
    iam_reseller_BaseUser:
      type: object
      properties:
        id:
          type: integer
          description: User's ID.
          readOnly: true
        email:
          $ref: '#/components/schemas/UserEmail'
        name:
          $ref: '#/components/schemas/UserName'
        lang:
          $ref: '#/components/schemas/Language-2'
        phone:
          $ref: '#/components/schemas/UserPhone'
        company:
          $ref: '#/components/schemas/UserCompany'
        reseller:
          type: integer
          description: Services provider ID.
          readOnly: true
        client:
          type: number
          description: User's account ID.
          readOnly: true
        deleted:
          type: boolean
          description: Deletion flag. If `true` then user was deleted.
          readOnly: true
        groups:
          $ref: '#/components/schemas/UserGroups'
        activated:
          type: boolean
          description: |-
            Email confirmation:
            - `true` – user confirmed the email;
            - `false` – user did not confirm the email.
          readOnly: true
        sso_auth:
          type: boolean
          description: SSO authentication flag. If `true` then user can login via SAML SSO.
          readOnly: true
        two_fa:
          type: boolean
          description: |-
            Two-step verification:
            - `true` – user enabled two-step verification;
            - `false` – user disabled two-step verification.
          readOnly: true
        auth_types:
          $ref: '#/components/schemas/AuthTypes'
    ClientStatus:
      type: string
      description: Status of the account.
      enum:
        - new
        - trial
        - trialend
        - active
        - integration
        - paused
        - preparation
        - ready
    ClientWebsite:
      type: string
      description: The company website.
    CurrentUser:
      type: integer
      description: ID of the current user.
    ClientCapabilities:
      type: array
      items:
        $ref: '#/components/schemas/ServiceName'
      description: System field. List of services available for the account.
    ServiceEnabledStatusObject:
      type: object
      description: >-
        An object of arrays which contains information about all services
        available for the requested account.
      properties:
        CDN:
          $ref: '#/components/schemas/ServiceEnabledStatus'
        CLOUD:
          $ref: '#/components/schemas/ServiceEnabledStatus'
        DDOS:
          $ref: '#/components/schemas/ServiceEnabledStatus'
        DNS:
          $ref: '#/components/schemas/ServiceEnabledStatus'
        STORAGE:
          $ref: '#/components/schemas/ServiceEnabledStatus'
        STREAMING:
          $ref: '#/components/schemas/ServiceEnabledStatus'
    PaidFeatureList:
      type: object
      description: >-
        An object of arrays which contains information about paid features
        available for the requested account.
      properties:
        CDN:
          type: array
          items:
            $ref: '#/components/schemas/PaidFeature'
        CLOUD:
          type: array
          items:
            $ref: '#/components/schemas/PaidFeature'
        DDOS:
          type: array
          items:
            $ref: '#/components/schemas/PaidFeature'
        DNS:
          type: array
          items:
            $ref: '#/components/schemas/PaidFeature'
        STORAGE:
          type: array
          items:
            $ref: '#/components/schemas/PaidFeature'
        STREAMING:
          type: array
          items:
            $ref: '#/components/schemas/PaidFeature'
      example:
        CDN:
          - feature_id: 1
            name: paid feature name
            service: CDN
        STREAMING:
          - feature_id: 2
            name: another paid feature name
            service: STREAMING
    FreeFeatureList:
      type: object
      description: >-
        An object of arrays which contains information about free features
        available for the requested account.
      properties:
        CDN:
          type: array
          items:
            $ref: '#/components/schemas/FreeFeature'
        CLOUD:
          type: array
          items:
            $ref: '#/components/schemas/FreeFeature'
        DDOS:
          type: array
          items:
            $ref: '#/components/schemas/FreeFeature'
        DNS:
          type: array
          items:
            $ref: '#/components/schemas/FreeFeature'
        STORAGE:
          type: array
          items:
            $ref: '#/components/schemas/FreeFeature'
        STREAMING:
          type: array
          items:
            $ref: '#/components/schemas/FreeFeature'
      example:
        CDN:
          - feature_id: 1
            name: free feature name
            service: CDN
        STREAMING:
          - feature_id: 2
            name: another free feature name
            service: STREAMING
    ClientEntryBaseDomain:
      type: string
      nullable: true
      description: System field. Control panel domain.
    SignupProcess:
      type: string
      nullable: true
      description: System field. Type of the account registration process.
      enum:
        - sign_up_full
        - sign_up_simple
    Deleted-2:
      type: boolean
      description: |-
        The field shows the status of the account:
        - `true` – the account has been deleted
        - `false` – the account is not deleted
      readOnly: true
    ClientBillType:
      type: string
      description: System field. Billing type of the account.
    ClientCountryCode:
      type: string
      description: System field. The company country (ISO 3166-1 alpha-2 format).
    ClientHasActiveUser:
      type: boolean
      description: System field.
    UserEmail:
      type: string
      format: email
      description: User's email address.
    UserName:
      type: string
      description: User's name.
      nullable: true
    Language-2:
      type: string
      description: |-
        User's language.

        Defines language of the control panel and email messages.
      enum:
        - de
        - en
        - ru
        - zh
        - az
    UserPhone:
      type: string
      description: User's phone.
      nullable: true
    UserCompany:
      type: string
      description: User's company.
    UserGroups:
      type: array
      description: |-
        User's group in the current account.

        IAM supports 5 groups:

         - Users
        - Administrators
        - Engineers
        - Purge and Prefetch only (API)
        - Purge and Prefetch only (API+Web)
      items:
        $ref: '#/components/schemas/Group'
    AuthTypes:
      type: array
      items:
        $ref: '#/components/schemas/AuthType'
      description: System field. List of auth types available for the account.
    ServiceName:
      type: string
      description: Service's name.
      enum:
        - CDN
        - STORAGE
        - STREAMING
        - DNS
        - DDOS
        - CLOUD
    ServiceEnabledStatus:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ServiceStatus'
        enabled:
          type: boolean
          description: '`true` - service is available in the Control Panel.'
    PaidFeature:
      type: object
      description: Feature object.
      properties:
        feature_id:
          type: integer
          description: Feature ID.
        service:
          allOf:
            - description: Name of a service which the feature belongs to.
            - $ref: '#/components/schemas/ServiceName'
        name:
          type: string
          description: Name of the feature.
        create_date:
          type: string
          description: >-
            Date and time when the feature was activated (ISO 8086/RFC 3339
            format).
        paid_feature_id:
          type: integer
          description: Internal feature activation ID.
    FreeFeature:
      type: object
      description: Feature object.
      properties:
        feature_id:
          type: integer
          description: Feature ID.
        service:
          allOf:
            - description: Name of a service which the feature belongs to.
            - $ref: '#/components/schemas/ServiceName'
        name:
          type: string
          description: Name of the feature.
        create_date:
          type: string
          description: >-
            Date and time when the feature was activated (ISO 8086/RFC 3339
            format).
        free_feature_id:
          type: integer
          description: Internal feature activation ID.
    Group:
      type: object
      properties:
        id:
          type: integer
          example: 1
          description: >-
            Group's ID: Possible values are:   


            - 1 - Administrators* 2 - Users* 5 - Engineers* 3009 - Purge and
            Prefetch only (API+Web)* 3022 - Purge and Prefetch only (API)
        name:
          type: string
          example: Administrators
          description: Group's name.
          enum:
            - Users
            - Administrators
            - Engineers
            - Purge and Prefetch only (API)
            - Purge and Prefetch only (API+Web)
    AuthType:
      type: string
      description: Auth types.
      enum:
        - password
        - sso
        - github
        - google-oauth2
    ServiceStatus:
      type: string
      description: Status of the service.
      enum:
        - new
        - trial
        - trialend
        - active
        - paused
        - activating
        - deleted
  responses:
    '401':
      description: >-
        Authentication credentials were not provided or given token not valid
        for any token type.
    iam_reseller_400:
      description: Validation error
      content:
        application/json:
          schema:
            oneOf:
              - $ref: '#/components/schemas/iam_reseller_ValidationError'
              - $ref: '#/components/schemas/JSONParseError'
    iam_reseller_404:
      description: Resource not found.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````